﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Linq;

namespace TwoPropertiesFilteringBehavior
{
	public class CustomFilteringBehavior : FilteringBehavior
	{
		public override System.Collections.Generic.IEnumerable<object> FindMatchingItems(string searchText, System.Collections.IList items, System.Collections.Generic.IEnumerable<object> escapedItems, string textSearchPath, TextSearchMode textSearchMode)
		{
			var searchTextToUpper = searchText.ToUpper();
			var matchingItems = items.OfType<Person>().
				Where(x => x.FirstName.ToUpper().StartsWith(searchTextToUpper) || x.LastName.ToUpper().StartsWith(searchTextToUpper)
				|| (x.FirstName + " " + x.LastName).ToUpper().StartsWith(searchTextToUpper));

			return matchingItems.Where(x => !escapedItems.Contains(x));
		}
	}
}
